<style>
    #faqNode > div {
        position: relative;
        min-height: 300px;
    }

    #faqMenu {
        width: 190px;
        position: absolute;
        left: 0;
    }

    #faqContent {
        position: absolute;
        left: 215px;
        right: 0;
    }

    @media (min-width: 581px) and (max-width: 700px) {
        #faqContent {
            position: absolute;
            left: 200px;
            right: 0;
        }
    }
    @media (max-width: 580px) {
        #faqMenu {
            position: static;
            width: 100%;
        }
        #faqContent {
            position: static;
            width: 100%;
            margin-top: 15px;
        }
    }

    #faqMenu h1 {
        color: #678;
        font-size: 16px;
    }

    #faqMenu a {
        color: #567;
        font-size: 14px;
        display: block;
        padding-top: 8px;
        padding-bottom: 6px;
        border-bottom: 1px solid #eee;
    }
    #faqMenu a.big {
        color: #333;
        font-size: 16px;
    }

    p {
        margin-top: 4px;
    }

    #faqContent > div {
        display: none;
    }
    #faqContent > div.faq-active {
        display: block;
    }
    #faqMenu > a.menu-active {
        font-weight: bolder;
    }
    #faqMenu > a.menu-active:not(.big) {
        color: #455;
    }

</style>

<div class="node dynamicNodePadding" id="faqNode">
    <div>
        <div id="faqMenu">
            <h1>Getting Started Guide</h1>
            <a id="menu-getting-started"    href="#getting-started" class="big menu-active">Get started setting up</a>
            <a id="menu-about-us"           href="#about-us">About Us</a>
            <a id="menu-our-stories"        href="#our-stories">Our Stories</a>
            <a id="menu-latest-news"        href="#latest-news">Latest News</a>
            <a id="menu-faq"                href="#faq">FAQ</a>
        </div>
        <div id="faqContent">

            <div id="faq-getting-started" class="faq-active">
                <h1>Getting started</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>

            </div>

            <div id="faq-about-us">
                <h1>About us</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p class="align-center">
                    <?= $this->ImageLinker()->getImgHTML('system-user-avatar-default', 'style="transform:rotate(90deg)"', '120px'); ?>
                </p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>

            </div>

            <div id="faq-our-stories">
                <h1>Our stories</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p class="align-center">
                    <?= $this->ImageLinker()->getImgHTML('system-faq-our-stories-1', null, '100%'); ?>
                </p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
            </div>

            <div id="faq-latest-news">
                <h1>Latest news</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>

            </div>

            <div id="faq-faq">
                <h1>FAQ</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a sapien dictum, tempus nulla et, vehicula felis. In rhoncus sollicitudin dolor ac iaculis. Cras non arcu non nisi finibus convallis.</p>

            </div>

        </div>
    </div>
</div>

<script>
    function changeMenuItem(a, isString) {
        var anchor;
        if(!isString) {
            a = $(a);
            a.blur();

            anchor = a.attr('href').split('#')[1];
            if(!anchor) return;
        }else{
            anchor = a.split('#')[1];
        }

        var newEntry = $('#faq-' + anchor);
        var newMenuEntry = $('#menu-' + anchor);
        if(!newEntry) return;

        $('#faqContent').find('.faq-active').removeClass('faq-active');
        $('#faqMenu').find('.menu-active').removeClass('menu-active');
        newEntry.addClass('faq-active');
        newMenuEntry.addClass('menu-active');

        resizeFunc();
    }


    var resizeFunc = function() {
        var $faqContent = $('#faqContent');
        // the position becomes static when the page hits a breakpoint, then the page can resize by itself
        if($faqContent.css('position') != 'static') {
            // Min height is taken care of in CSS
            $("#faqNode").find("> div").css({height: $faqContent.height() + "px"});
        }else{
            $("#faqNode").find("> div").css({height: 'auto'});
        }
    };

    $(window).load(resizeFunc);
    $(window).resize(resizeFunc);
    $(document).ready(function() {
        resizeFunc();
        window.setTimeout(resizeFunc, 100);

        $('#faqMenu').find('a').click(function(ev) {changeMenuItem(ev.target);});
        if(window.location.hash) {
            changeMenuItem(window.location.hash, true);
        }
    });
    resizeFunc();
</script>